{% extends 'layouts/artdrop.html.twig' %}


{% block title %}Profil d'artitse de (nom de l'artiste){% endblock %}


{% block newstylesheets %}
    <!-- Inclut une feuille de style spécifique pour la page -->
    <link rel="stylesheet" href="{{ asset('assets/css/my-artwork-content.css') }}">
{% endblock %}


{% block titleAndDecription %}
    <!-- Affiche le titre de la page avec le nom de l'artiste -->
    <h2>Page profil de <span class="artist-nametag">{{ member.nametag }}</span></h2>
{% endblock %}


{% block section %}
    <!-- ======= Section des œuvres d'art de l'artiste ======= -->
    <section class="gallery">
        <h3 class="title-profile-artist">Autres oeuvres</h3>

        <!-- Affiche les œuvres d'art de l'artiste -->
        <div class="my-artwork-items row">

            {% for artwork in artworkEntities %}
                <div class="artwork-item col-xl-3 col-lg-4 col-md-6">
                    <div class="artwork-box">
                        <div class="unique_artwork gallery-item">
                            <a href="{{ path('artwork_page', { 'id' : artwork.id }) }}" class="open-lightbox"><img
                                        src="{{ asset('assets/uploads/' ~ artwork.photo.path) }}"
                                        alt="{{ artwork.artworkTitle }}" class="img-fluid"></a>
                        </div>
                    </div>
                </div>
            {% endfor %}

        </div>
        <!-- Fin de la section des œuvres d'art de l'artiste -->
    </section>

    <!-- Section pour la biographie et les réseaux sociaux -->
    <section>

        <div class="bio-box">
            <div class="info-container">
                <h3 class="title-profile-artist-info">Biographie</h3>
                <hr>
                {% if biographyEntity %}
                    <!-- Si une biographie existe, l'affiche -->
                    <p class="biography-text">{{ biographyEntity.biography }}</p>

                {% else %}
                    <!-- Si aucune biographie n'existe, affiche un message -->
                    <div class="artist-profil-text-content">
                        <div class="not-biograhpy">
                            <p>Aucune biographie pour le moment.</p>
                        </div>
                    </div>
                {% endif %}
                <hr>
            </div>
        </div>

        <!-- Affiche les liens vers les réseaux sociaux de l'artiste -->
        <div class="info-container">

            <h3 class="title-profile-artist-info">Réseaux Sociaux</h3>
            <div class="network-container">
                {% if networkEntities is not empty %}
                    <!-- Si des liens vers les réseaux sociaux existent, les affiche -->
                    {% include 'includes/network-element.html.twig' %}

                {% else %}
                    <!-- Si aucun lien vers les réseaux sociaux n'existe, affiche un message -->
                    <div class="artist-profil-text-content">
                        <div class="not-network">
                            <p>Aucun lien vers les réseaux pour le moment.</p>
                        </div>
                    </div>
                {% endif %}
            </div>
        </div>

        <!-- Fin de la section de la biographie et des réseaux sociaux -->
    </section>
{% endblock %}